Bug 458446 - Review Request: perl-HTML-FromText - Convert plain text to HTML
Review Request: perl-HTML-FromText - Convert plain text to HTML
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 458080
Blocks: 458449
  Show dependency treegraph
 
Reported: 2008-08-08 10:05 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-09-15 09:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-15 09:55:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-08-08 10:05:11 EDT
Spec URL:
http://kwizart.fedorapeople.org/SRPMS/perl-HTML-FromText.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/perl-HTML-FromText-2.05-1.fc8.kwizart.src.rpm
Description: Convert plain text to HTML
Comment 1 Parag AN(पराग) 2008-08-08 13:14:54 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=766986
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
fb8ae4ab0cae0b57101f78b046b3927b  HTML-FromText-2.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave

+ Package
Comment 2 Parag AN(पराग) 2008-08-08 13:20:23 EDT
oops koji build failed. Thought this is base package. Need to review then bug 458080 first.
Comment 3 Parag AN(पराग) 2008-08-13 01:49:01 EDT
did you asked upstream to fix tests that are failing?

rpmlint reported 
perl-HTML-FromText.noarch: E: non-standard-executable-perm /usr/bin/text2html 0555
==> you need to add following line to %build
%{_fixperms} $RPM_BUILD_ROOT/*
Comment 4 Parag AN(पराग) 2008-08-29 03:23:06 EDT
ping?
Comment 5 Parag AN(पराग) 2008-09-04 01:18:25 EDT
ping again Can you fix issues given in comment #3?
Comment 6 Nicolas Chauvet (kwizart) 2008-09-04 09:03:58 EDT
Spec URL:
http://kwizart.fedorapeople.org/SRPMS/perl-HTML-FromText.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/perl-HTML-FromText-2.05-2.fc8.kwizart.src.rpm
Description: Convert plain text to HTML

Changelog
- Add fixperms

Mail sent today to report the problem at make test.
Comment 7 Parag AN(पराग) 2008-09-04 12:03:17 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=806666
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
fb8ae4ab0cae0b57101f78b046b3927b  HTML-FromText-2.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=13,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.21 cusr  0.02 csys =  0.26 CPU)

+ Package perl-HTML-FromText-2.05-2.fc10 =>
Provides: perl(HTML::FromText) = 2.05
Requires: /usr/bin/perl perl(Email::Find::addrspec) perl(Exporter::Lite) perl(HTML::Entities) perl(HTML::FromText) perl(Scalar::Util) perl(Text::Tabs) perl(strict) perl(vars)


APPROVED.
Comment 8 Nicolas Chauvet (kwizart) 2008-09-04 12:17:20 EDT
New Package CVS Request
=======================
Package Name: perl-HTML-FromText
Short Description: Convert plain text to HTML
Owners: kwizart
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-09-05 12:51:39 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.